/*!
 * console.img v2.1.3
 * (c) 2018-present u3u <qwq@qwq.cat>
 * Released under the MIT License.
 */
(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory() :
  typeof define === 'function' && define.amd ? define(factory) :
  (factory());
}(this, (function () { 'use strict';

  console.img = function (url) {
    var _arguments = arguments;

    if (!/^http(s)?:\/\/([\w-]+\.)+[\w-]+(\/[\w- ./?%&=]*)?$/.test(url)) {
      console.warn('Image URL is incorrect');
      return;
    }

    var promise;
    var img = new Image();

    if (Promise) {
      promise = new Promise(function (resolve, reject) {
        img.addEventListener('load', function () {
          return setTimeout(resolve);
        });
        img.addEventListener('error', reject);
      });
    }

    img.onload = function (evt) {
      var image = evt.target;
      var width = (_arguments[1] || image.width) / 2;
      var height = (_arguments[2] || image.height) / 2;
      var lineHeight = height * 2;
      console.log('%c', "font-size: 0; padding: ".concat(height, "px ").concat(width, "px; line-height: ").concat(lineHeight, "px; background: url(").concat(url, ") no-repeat 50% / 100%"));
    };

    img.src = url;
    return promise;
  };

  console.img.toString = function () {
    return 'function img () { [native code] }';
  };

})));
